Class | Fog::Compute::XenServer::Real
In: | lib/fog/xenserver/requests/compute/shutdown_host.rb lib/fog/xenserver/requests/compute/disable_host.rb lib/fog/xenserver/requests/compute/scan_sr.rb lib/fog/xenserver/requests/compute/destroy_server.rb lib/fog/xenserver/requests/compute/eject_vbd.rb lib/fog/xenserver/requests/compute/clone_server.rb lib/fog/xenserver/requests/compute/destroy_vdi.rb lib/fog/xenserver/requests/compute/create_sr.rb lib/fog/xenserver/requests/compute/create_server.rb lib/fog/xenserver/requests/compute/reboot_host.rb lib/fog/xenserver/requests/compute/create_vbd.rb lib/fog/xenserver/requests/compute/destroy_sr.rb lib/fog/xenserver/requests/compute/set_attribute.rb lib/fog/xenserver/requests/compute/set_affinity.rb lib/fog/xenserver/requests/compute/unplug_vbd.rb lib/fog/xenserver/requests/compute/destroy_vif.rb lib/fog/xenserver/requests/compute/start_vm.rb lib/fog/xenserver/requests/compute/shutdown_server.rb lib/fog/xenserver/requests/compute/get_records.rb lib/fog/xenserver/requests/compute/create_vdi.rb lib/fog/xenserver/requests/compute/provision_server.rb lib/fog/xenserver/requests/compute/enable_host.rb lib/fog/xenserver/requests/compute/get_record.rb lib/fog/xenserver/requests/compute/start_server.rb lib/fog/xenserver/requests/compute/unplug_pbd.rb lib/fog/xenserver/requests/compute/reboot_server.rb lib/fog/xenserver/requests/compute/create_vif.rb lib/fog/xenserver/requests/compute/insert_vbd.rb lib/fog/xenserver/compute.rb
Parent: | Object

### Methods

clone_server create_server create_server_raw create_sr create_vbd create_vdi create_vif create_vif_custom default_network default_template default_template= default_vif_config destroy_server destroy_sr destroy_vdi destroy_vif disable_host eject_vbd enable_host get_record get_record_by_ref get_records get_vm_by_name insert_vbd new provision_server reboot_host reboot_server reload scan_sr set_affinity set_attribute shutdown_host shutdown_server start_server start_vm unplug_force_vbd unplug_pbd unplug_vbd

### Public Class methods

new(options={})

### Public Instance methods

clone_server( server_name, template_ref )
create_server( name_label, template = nil, networks = [], extra_args = {})
create_server_raw(config = {})
create_sr( host_ref, name_label, type, name_description = '', device_config = {}, physical_size = '0', content_type = 'user', shared = false, sm_config = {} )

Create a storage repository (SR)

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=SR

@param [String] host_ref host reference @param [String] name_label repository label @param [String] type storage repository type @param [String] name_description storage repository description @param [Hash] device_config used to specify block device path, like { :device => /dev/sdb } for example @param [String] physical_size ‘0’ will use the whole device (FIXME needs confirmation) @param [String] content_type the type of the SR‘s content. According to Citrix documentation, used only to distinguish ISO libraries from other SRs. Set it to ‘iso’ for storage repositories that store a library of ISOs, ‘user’ or ’’ (empty) otherwise. @see docs.vmd.citrix.com/XenServer/6.1.0/1.0/en_gb/reference.html#cli-xe-commands_sr @param [String] shared

@return [String] an OpaqueRef to the storage repository

create_vbd( vm_ref, vdi_ref, config = {} )
create_vdi( config )
create_vif( vm_ref, network_ref, device = -1)
create_vif_custom( conf )
default_network()
default_template()
default_template=(name)
default_vif_config( vm_ref, network_ref, device_number = '-1' )
destroy_server( vm_ref , extra_args = {})
destroy_sr( sr_ref )

Destroy a Storage Repository

docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=SR

destroy_vdi( vdi_ref, extra_args = {})
destroy_vif( ref, extra_args = {})
disable_host( ref )

Puts the host into a state in which no new VMs can be started. Currently active VMs on the host continue to execute.

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=host

eject_vbd(ref, extra_args = {})
enable_host( ref )

Puts the host into a state in which VMs can be started.

@see docs.vmd.citrix.com/XenServer/6.0.0/1.0/en_gb/api/?c=host

get_record( ref, klass, options = {} )
get_record_by_ref( ref, klass, options = {} )
get_records( klass, options = {} )
get_vm_by_name(label)
insert_vbd(ref, vdi_ref, extra_args = {})
provision_server( ref )
reboot_host( ref )
reboot_server( ref, stype = 'clean' )
reload()
scan_sr( ref, extra_args = {})
set_affinity( host_ref )
set_attribute( klass, ref, attr_name, *value )
shutdown_host( ref )
shutdown_server( vm_ref, stype = 'clean' )
start_server( vm_ref )
start_vm( vm_ref )

bit.ly/8ZPyCN VM.start( session, VM_ref, start_paused, force)

unplug_force_vbd(ref, extra_args = {})
unplug_pbd( ref )
unplug_vbd( vbd_ref, extra_args = {})

[Validate]